package body Known_Satellites is

   ----------------------
   -- Insert_Satellite --
   ----------------------

   procedure Insert_Satellite
     (Value     : in     Satellite;
      Reference :    out Satellite_Reference)
   is
   begin
      Satellite_Count := Satellite_Count + 1;
      All_Satellites (Satellite_Count) := Value;
      Reference := Satellite_Count;
   end Insert_Satellite;

   ----------------------
   -- Update_Satellite --
   ----------------------

   procedure Update_Satellite
     (Value     : in Satellite;
      Reference : in Satellite_Reference)
   is
   begin
      All_Satellites (Reference) := Value;
   end Update_Satellite;

   -------------------
   -- Get_Satellite --
   -------------------

   procedure Get_Satellite
     (Reference : in     Satellite_Reference;
      Value     :    out Satellite)
   is
   begin
      Value := All_Satellites (Reference);
   end Get_Satellite;

   ------------------
   -- Dereferenced --
   ------------------

   function Dereferenced (Reference : Satellite_Reference) return Satellite is
      (All_Satellites (Reference));

end Known_Satellites;
