package body Spacecraft.Ctors
   with SPARK_Mode
is

   -------------------
   -- New_Satellite --
   -------------------

   function New_Satellite (Altitude, Elapsed_Time, Revolutions : Real) return Satellite is
   begin
      return Satellite'(Altitude     => New_Satellite.Altitude,
                        Elapsed_Time => New_Satellite.Elapsed_Time,
                        Revolutions  => New_Satellite.Revolutions);
   end New_Satellite;

   --------------------
   -- Null_Satellite --
   --------------------

   function Null_Satellite return Satellite is
   begin
      return Satellite'(others => 0.0);
   end Null_Satellite;

end Spacecraft.Ctors;
