package body Spacecraft.Ctors
   with SPARK_Mode
is

   -------------------
   -- New_Satellite --
   -------------------

   function New_Satellite
     (Altitude     : Valid_Altitude;
      Elapsed_Time : Valid_Time;
      Revolutions  : Valid_Revolutions)
      return Satellite
   is
   begin
      return Satellite'(Altitude     => New_Satellite.Altitude,
                        Elapsed_Time => New_Satellite.Elapsed_Time,
                        Revolutions  => New_Satellite.Revolutions);
   end New_Satellite;

   --------------------
   -- Null_Satellite --
   --------------------

   function Null_Satellite return Satellite is
   begin
      return Satellite'(others => 1.0);
   end Null_Satellite;

end Spacecraft.Ctors;
