with Ada.Numerics;   use Ada.Numerics;

package body Spacecraft with
   SPARK_Mode
is

   --------------
   -- Velocity --
   --------------

   function Velocity (This : Satellite) return Real is
      Distance : Real;
   begin
      Distance := This.Revolutions * 2.0 * Pi * This.Altitude;

      pragma Assert (This.Elapsed_Time >= 1.0);   --  required as of 18.1

      return Distance / This.Elapsed_Time;
   end Velocity;

end Spacecraft;
