package Spacecraft.Ctors with
   SPARK_Mode
is   --  constructors

   function New_Satellite
     (Altitude     : Valid_Altitude;
      Elapsed_Time : Valid_Time;
      Revolutions  : Valid_Revolutions)
      return Satellite
   with
     Global  => null,
     Depends => (New_Satellite'Result => (Altitude, Elapsed_Time, Revolutions));

   function Null_Satellite return Satellite with
     Global  => null,
     Depends => (Null_Satellite'Result => null);

end Spacecraft.Ctors;
